import request from '@/utils/request'
 
import Qs from 'qs';


export function getBannerInfo(formData) {
	return request({
		url: '/mobile/bannerInfo/getBannerInfo',
		data: formData,
		method: 'post',
		
	})
}
export function readMessageNum() {
	return request({
		url: '/mobile/messageApi/readMessageNum',
		//data: formData,
		method: 'post',
		
	})
}

export function getScreenList(formData) {
	return request({
		url: '/mobile/recruitmentApi/getScreenList',
		data: formData,
		method: 'post',
		
	})
}

//字典表
export function getData(id) {
	return request({
		url: '/sys/dataDictionary/queryChildrenApi',
		data: {
			parentId:id
		},
		method: 'post',
		timeout: 60000,
	})
}
//上传图片
export function upload(formData) {
	return request({
		url: '/mobile/jobUserApi/upload',
		data: formData,
		method: 'post',
		
	})
}

//上传图片
export function uploadBase64(formData) {
	
	
	return request({
		url: '/uploadBase64',
		data: formData,
		
		method: 'post',
		timeout: 60000,
	})
}


export function getSchoolServeList(params) {
	return request({
		url: '/mobile/companyInfoApi/schoolServeList',
		data: (params),
		method: 'post',
	})
}



//综合订单
export function mergeInfo(id) {
	return request({
		url: '/mobile/passengerApi/mergeInfo',
		data: ({
			outOrderNo: id
		}),
		method: 'post',
	})
}
//发送短信
export function sendMsg(params) {
	return request({
		url: '/mobile/personInfoApi/getVerifyCode',
		data: (params),
		method: 'post',
	})
}

//验证验证码并登录
export function validateCode(params) {
	return request({
		url: '/mobile/personInfoApi/validateCode',
		data: (params),
		method: 'post',
	})
}

//验证验证码并登录
export function submitAuthentication(params) {
	return request({
		url: '/mobile/jobUserApi/submitAuthentication',
		data: (params),
		method: 'post',
	})
}


export function messageClassify(formData) {
	return request({
		url: '/mobile/messageApi/messageClassify',
		data: formData,
		method: 'post',
		
	})
}

export function messageList(formData) {
	return request({
		url: '/mobile/messageApi/messageList',
		data: formData,
		method: 'post',
		
	})
}


export function messageDetail(id) {
	return request({
		url: '/mobile/messageApi/messageDetail',
		data: ({
			messageId: id
		}),
		method: 'post',
	})
}

export function messageClassifyHR(formData) {
	return request({
		url: '/mobile/messageApi/messageClassifyHR',
		data:formData,
		method: 'post',
	})
}


export function changeAgree(formData) {
	return request({
		url: '/mobile/messageApi/changeAgree',
		data:formData,
		method: 'post',
	})
}


//推荐简历
export function positionResumeList(formData) {
	return request({
		url: '/mobile/resumeApi/positionResumeList',
		data:formData,
		method: 'post',
	})
}

//推荐职位
export function positionRecruitmentList(formData) {
	return request({
		url: '/mobile/recruitmentApi/positionRecruitmentList',
		data:formData,
		method: 'post',
	})
}